javax.xml.xpath

## Class XPathFunctionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.xpath.XPathException
      - - javax.xml.xpath.XPathExpressionException
        - - javax.xml.xpath.XPathFunctionException

- All Implemented Interfaces:
    java.io.Serializable

      public class XPathFunctionException
      extends XPathExpressionException

  `XPathFunctionException` represents an error with an XPath function.
  Since:
    1.5
  Version:
    $Revision: 446598 $, $Date: 2006-09-15 08:55:40 -0400 (Fri, 15 Sep 2006) $
  Author:
    Norman Walsh, Jeff Suttor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathFunctionException(java.lang.String message)` Constructs a new `XPathFunctionException` with the specified detail `message`.
    `XPathFunctionException(java.lang.Throwable cause)` Constructs a new `XPathFunctionException` with the specified `cause`.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.xpath.XPathException

      `getCause, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathFunctionException

          public XPathFunctionException(java.lang.String message)

      Constructs a new `XPathFunctionException` with the specified detail `message`.

      The `cause` is not initialized.

      If `message` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `message` - The detail message.

    - #### XPathFunctionException

          public XPathFunctionException(java.lang.Throwable cause)

      Constructs a new `XPathFunctionException` with the specified `cause`.

      If `cause` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `cause` - The cause.
      Throws:
        `java.lang.NullPointerException` - if `cause` is `null`.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.